Skip to main content

API

Use the API to manage metafield imports and exports programmatically, for example when integrating with internal systems.

info

This feature is available for stores on our Enterprise plan.

For individual metafields, we recommend using BigCommerce's own APIs, e.g. for product metafields.

Authentication

Authenticate requests with a bearer token in the Authorization header:

Authorization: Bearer <token>

Tokens can be managed from within the Settings > API Tokens page of the app.

info

Each token is visible only immediately after creation. If you lose a token, generate a new one.

Postman

We provide a Postman collection to make validating API calls easier.

Export metafields

Get Export History

GET https://metafields.hypaapps.com/api/v1/stores/{store_hash}/metafields/export/{resource}/history

Retrieves export history for a given resource type.

Params

ParamLocationDescription
store_hashpathThe unique identifier of your BigCommerce Store
resourcepath

The type of the metafield.

Allowed values: brand category channel customer location order product variant

Response example

{
"data": [
{
"id": 1,
"started_at": "2025-08-13T09:28:01.000000Z",
"finished_at": "2025-08-13T09:28:14.000000Z",
"status": "completed",
"items_processed_count": 44,
"progress_percent": 100,
"errors": [
"ID: 1 - Invalid value"
],
"type": "shared",
"download_url": "https://path-to-file.csv"
}
]
}

Get Export Estimate

GET https://metafields.hypaapps.com/api/v1/stores/{store_hash}/metafields/export/{resource}/estimate

Returns an estimated record count for an export with filters applied.

Params

ParamLocationDescription
store_hashpathThe unique identifier of your BigCommerce Store
resourcepath

The type of the metafield.

Allowed values: brand category channel customer location order product variant

Response example

{
"data": {
"count": 1250
}
}

Generate Export

POST https://metafields.hypaapps.com/api/v1/stores/{store_hash}/metafields/export/{resource}

Starts a new metafields export.

Params

ParamLocationDescription
store_hashpathThe unique identifier of your BigCommerce Store
resourcepath

The type of the metafield.

Allowed values: brand category channel customer location order product variant

Body

application/json

PropertyDescriptionTypeRequired
exportTypeWhether to export shared or custom metafields.

String

Allowed values: custom shared

Yes


availabilityFilter product & variant metafield exports by the product's availability

String

Allowed values:

available disabled preorder


No
brand_idFilter product & variant metafield exports by the product's brandIntegerNo
categories:inFilter product metafields by the product's categoriesInteger[]No
category_id:inFilter category metafields by the categories' IDsInteger[]No
channel_id

Filter category metafields by the Channel ID.

Cannot be used to filter products by channel assignment

IntegerNo
company:inFilter customer metafields by the Company Name. Should be exact company name.StringNo
conditionFilter product and variant metafields by the product's condition.

String

Allowed values: new used refurbished

No
customer_group_id:inFilter customer metafields by the customers group

String

Comma-separated string of customer group IDs

No
date_created:maxFilter customer metafields by the maximum date the customer was createdStringNo
date_created:minFilter customer metafields by the minimum date the customer was created.StringNo
date_modified:maxFilter product & variant metafields by the modified date

String

2025-01-15 or 2025-01-15T00:03:17Z

No
date_modified:minFilter product & variant metafields by the modified date

String

2025-01-15 or 2025-01-15T00:03:17Z

No
idFilter product & variant metafields by the product IDIntegerNo
id:maxFilter product & variant metafields by the maximum product IDIntegerNo
id:minFilter product & variant metafields by the minimum product IDIntegerNo
is_visibleFilter product & variant metafields by the products visibilityBooleanNo
keywordFilter product & variants metafields by keyword match against the products name, description and SKU fieldsStringNo
max_date_createdFilter order metafields by maximum date created of the order

String

RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400

ISO-8601: 2017-04-20T11:32:00.000-04:00

No
max_date_modifiedFilter order metafields by the maximum date modified of the order

String

RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400

ISO-8601: 2017-04-20T11:32:00.000-04:00

No
max_idFilter order metafields by the maximum ID of the orderIntegerNo
max_totalFilter order metafields by the maximum order total

Float

e.g. 39.99

No
min_date_createdFilter order metafields by the minimum date created of the order

String

RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400

ISO-8601: 2017-04-20T11:32:00.000-04:00

No
min_date_modifiedFilter order metafields by the minimum date modified of the order

String

RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400

ISO-8601: 2017-04-20T11:32:00.000-04:00

No
min_idFilter order metafields by the minimum ID of the orderIntegerNo
min_totalFilter order metafields by the maximum order total.

Float

e.g. 39.99

No
name:likeFilter category & customer metafields by the customer name. Supports partial matchStringNo
status_id:inFilter order metafields by the status of the order.

Int

Allowed Values

No
tree_id:inFilter category metafields by the Category Tree ID

String

Comma-separated list of Tree IDs

No

Body example

{
"exportType": "shared",
"categories:in": [21]
}

Response example

{
"data": {
"id": 456
}
}

Get Export

GET https://metafields.hypaapps.com/api/v1/stores/{store_hash}/metafields/export/{resource}/{export_id}

Get the details of an export.

Params

ParamLocationDescription
store_hashpathThe unique identifier of your BigCommerce Store
resourcepath

The type of the metafield.

Allowed values: brand category channel customer location order product variant

export_idpathThe ID of the export

Response example

{
"data": {
"id": 456,
"started_at": "2025-08-13T09:28:01.000000Z",
"finished_at": "2025-08-13T09:28:14.000000Z",
"status": "completed",
"items_processed_count": 44,
"progress_percent": 100,
"errors": [
"ID: 1 - Invalid value"
],
"type": "shared",
"download_url": "https://path-to-file.csv"
}
}

Download Export

GET https://metafields.hypaapps.com/api/v1/stores/{store_hash}/metafields/export/{resource}/{export_id}/download

Downloads the exported metafields CSV file.

info

We recommend using the download URL provided on the export object, but we provide this endpoint for convenience.

Params

ParamLocationDescription
store_hashpathThe unique identifier of your BigCommerce Store
resourcepath

The type of the metafield.

Allowed values: brand category channel customer location order product variant

export_idpathThe ID of the export

Cancel Export

DELETE https://metafields.hypaapps.com/api/v1/stores/{store_hash}/metafields/export/{resource}/{export_id}/batch

Cancels an active export process.

Params

ParamLocationDescription
store_hashpathThe unique identifier of your BigCommerce Store
resourcepath

The type of the metafield.

Allowed values: brand category channel customer location order product variant

export_idpathThe ID of the export

Import metafields

Get Import History

GET https://metafields.hypaapps.com/api/v1/stores/{store_hash}/metafields/import/{resource}/history

Retrieves import history for a given resource type.

Params

ParamLocationDescription
store_hashpathThe unique identifier of your BigCommerce Store
resourcepath

The type of the metafield.

Allowed values: brand category channel customer location order product variant

Response example

{
"data": [
{
"id": 1,
"started_at": "2025-08-13T09:28:01.000000Z",
"finished_at": "2025-08-13T09:28:14.000000Z",
"status": "completed",
"items_processed_count": 44,
"progress_percent": 100,
"errors": [
"ID: 1 - Invalid value"
],
"type": "shared",
"download_url": "https://path-to-file.csv"
}
]
}

Generate Import

POST https://metafields.hypaapps.com/api/v1/stores/{store_hash}/metafields/import/{resource}

Starts a new metafields import from a CSV file.

Params

ParamLocationDescription
store_hashpathThe unique identifier of your BigCommerce Store
resourcepath

The type of the metafield.

Allowed values: brand category channel customer location order product variant

Form Data

PropertyDescriptionType
files

CSV File.

Note that a single file is expected.

.csv file
importTypeWhether to import spreadsheet as custom metafields or shared metafields

String

Allowed values: custom shared

Response example

{
"data": {
"id": 321
}
}

Get Import

GET https://metafields.hypaapps.com/api/v1/stores/{store_hash}/metafields/import/{resource}/{import_id}

Get the details of an import.

Params

ParamLocationDescription
store_hashpathThe unique identifier of your BigCommerce Store
resourcepath

The type of the metafield.

Allowed values: brand category channel customer location order product variant

import_idpathThe ID of the import

Response example

{
"data": {
"id": 321,
"started_at": "2025-08-13T09:28:01.000000Z",
"finished_at": "2025-08-13T09:28:14.000000Z",
"status": "completed",
"items_processed_count": 44,
"progress_percent": 100,
"errors": [
"ID: 1 - Invalid value"
],
"type": "custom",
"download_url": "https://path-to-file.csv"
}
}

Download Import Results

GET https://metafields.hypaapps.com/api/v1/stores/{store_hash}/metafields/import/{resource}/{import_id}/download

Downloads the import results CSV file.

Params

ParamLocationDescription
store_hashpathThe unique identifier of your BigCommerce Store
resourcepath

The type of the metafield.

Allowed values: brand category channel customer location order product variant

import_idpathThe ID of the import

Cancel Import

DELETE https://metafields.hypaapps.com/api/v1/stores/{store_hash}/metafields/import/{resource}/{import_id}/batch

Cancels an active import process.

Params

ParamLocationDescription
store_hashpathThe unique identifier of your BigCommerce Store
resourcepath

The type of the metafield.

Allowed values: brand category channel customer location order product variant

import_idpathThe ID of the import